Jump to content

Recommended Posts

Posted

When using zwcad 2015 I get the message:

 

Command: PTM

** Dialog File could not be Written **

 

Any comment? Thanks!

  • Replies 149
  • Created
  • Last Reply

Top Posters In This Topic

  • Lee Mac

    69

  • keithlaser

    8

  • chulse

    6

  • SteveK

    6

Top Posters In This Topic

Posted Images

Posted
When using zwcad 2015 I get the message:

 

Command: PTM

** Dialog File could not be Written **

 

Any comment? Thanks!

 

Save the attached DCL file to your support path (do not rename it).

 

Lee

LMAC_PtMan_V2.4.dcl

  • 10 months later...
Posted

Hello,

 

Thanks for the tool. Use it alot.

 

Is there anyway when exporting to a csv to add a column for layer in addition to xyz?

 

Thanks,

  • 1 year later...
Posted

omg..! I have searched a lot of these things individually but found in one..!!!

 

GREAT..!!

 

 

I have one query related to this,

 

in my case:

input type - LW polyline

output type - have to place block with attribute - I have csv file block name with attributes

 

is it possible to add above in it?

 

Mr.Lee, thanks very much

 

MK

Posted

Hi,

 

is it possible to merge option from this two lisp?

 

Point Manager:

http://lee-mac.com/ptmanager.html

 

Automatically update attribute:

http://lee-mac.com/autolabelattributes.html

 

From this lisp "Point Manager" I can place block on each vertex of LW polyline and the same I want to do along with this lisp "Automatically update attribute".

 

each block has attribute and it has to place 1,2,3... n goes

 

is it possible?

 

:unsure:

Posted

Had a suggestion I wanted to throw out.

I use Point Manager to insert blocks to the ends of plines. Sometimes ill have a pline with a lot of vertices and ill go back to delete the blocks on the middle vertices and rotate blocks at certain points. Is it possible to have an option to place only at the start, end or all vertices of the pline? Haven't found a way to insert blocks at more specific vertices. Not sure if this is too difficult to do just thought id throw it out see if one of you wizards knew how to do it. Not a big deal if not very happy with the program already!

 

Thanks Lee really love the program!

Posted

Hi Lee,

 

 

I have another suggestion that might be useful to some. Years back I wrote a program to get a selection of points and export them to a file, with the option to also create a TABLE in the current layout with the XYZ Coordinates. The option to add a TABLE from the point data would probably be a fairly easy add to the program.

 

 

This is an excerpt from my original program (doesn't run on it's own - just a code snippet)

 

 

(progn
        (setq nam (strcat (getvar "DWGPREFIX") (getvar "DWGNAME"))
              nam (strcat (substr nam 1 (- (strlen nam) 3)) "txt")
              fil (getfiled "Create Point List File..." nam "txt" 1)
        )
        (if fil
           (progn
              (setq resp (nal-getinput "Create An AutoCAD Table in the active Layout?" "No" nil "Yes No"))
              (if (= resp "Yes")
                 (progn
                    (vla-put-activespace activedoc acPaperSpace)
                    (setq pSpace (vla-get-PaperSpace activedoc))
                    (if (setq pt1 (getpoint "\nSelect a location for the table: "))
                       (progn
                          (setq rows (+ 2 (sslength ss))
                                cols 2
                                tblobj (vla-addtable pspace (vlax-3D-point pt1) rows cols 1 63.5)
                          )
                          (vla-settextheight tblobj acDataRow 3.5)
                          (vla-settextheight tblobj acHeaderRow 5.0)
                          (vla-settext tblobj 0 0 "INSPECTION POINT LIST:")
                          (vla-settext tblobj 1 0 "POINT:")
                          (vla-settext tblobj 1 1 "LOCATION:")
                       )
                       (princ "\nTable Operation Canceled.")
                    )
                 )
              )
              (setq ofil (open fil "w") cnt 0)
              (write-line "INSPECTION POINT LIST:\n" ofil)
              (repeat (sslength ss)
                 (setq el (entget (ssname ss cnt))
                       s1 (cdr (assoc 10 el))
                       x (rtos (car s1))
                       y (rtos (cadr s1))
                       z (rtos (caddr s1))
                       cnt (1+ cnt)
                 )
                 (write-line (strcat "Point " (itoa cnt)) ofil)
                 (write-line (strcat "X=" x) ofil)
                 (write-line (strcat "Y=" y) ofil)
                 (write-line (strcat "Z=" z "\n") ofil)
                 (if tblobj
                    (progn
                       (setq lin-col2 (strcat "X = " x "[url="file://\\PY"]\\PY[/url] = " y "[url="file://\\PZ"]\\PZ[/url] = " z))
                       (vla-setcellalignment tblobj (1+ cnt) 0 acMiddleCenter)
                       (vla-settext tblobj (1+ cnt) 0 (strcat "SC" (itoa cnt)))
                       (vla-setcellalignment tblobj (1+ cnt) 1 acMiddleLeft)
                       (vla-settext tblobj (1+ cnt) 1 lin-col2)
                    )
                 )
              )
              (close ofil)
              (startapp "notepad" fil)
           )
        )
     )

  • 6 months later...
Posted

Hi Lee, what a great program it is. I used your program to extract points/blocks from LW/3D polylines for most of the time.

Appreciate if you can show me how to get points/blocks created in the same layer as their respective LW/3D polylines at once, without extracting it layer by layer which might increase the chances for data missing.

 

Thank you.

 

Ngai

  • 1 year later...
Posted

Hi Mr.Lee Mac,

i am trying to use your PtManager.lsp file to update my 3Dsolid from excel this giving me line 23,24,165 errors.

i am sorry i am still learner in lisp so please help.

Thanks

PtManagerV2-4(1).lsp

Posted (edited)

Great program Lee !

 

I have created something similar to this .

 

But , unfortunately , I still have this problem . Any idea ?

 

Edited by Costinbos77

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...